Bug 23007 - Make dialogs in returns.pl optionally modal
Summary: Make dialogs in returns.pl optionally modal
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on: 21346
Blocks:
  Show dependency treegraph
 
Reported: 2019-05-29 10:22 UTC by Magnus Enger
Modified: 2019-10-07 11:58 UTC (History)
12 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23007: Make modals close on enter (2.15 KB, patch)
2019-06-12 19:55 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23007: Add TransfersBlockCirc system preference (3.26 KB, patch)
2019-06-27 11:32 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23007: Retain focus on 'barcode' input if transfers don't block circ (4.52 KB, patch)
2019-06-27 11:32 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23007: Add TransfersBlockCirc system preference (3.30 KB, patch)
2019-07-12 20:03 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 23007: Retain focus on 'barcode' input if transfers don't block circ (4.57 KB, patch)
2019-07-12 20:03 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 23007: Add TransfersBlockCirc system preference (3.32 KB, patch)
2019-08-30 13:40 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23007: Retain focus on 'barcode' input if transfers don't block circ (5.77 KB, patch)
2019-08-30 13:40 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23007: Add TransfersBlockCirc system preference (3.38 KB, patch)
2019-10-04 08:47 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23007: Retain focus on 'barcode' input if transfers don't block circ (5.83 KB, patch)
2019-10-04 08:47 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2019-05-29 10:22:17 UTC
Bug 21346 made some dialogs in returns.pl modal. Some libraries think this is too distruptive for their workflow and would like to continue scanning books even if there is a dialog/message.
Comment 1 Nick Clemens 2019-05-29 10:23:29 UTC
Perhaps we could use humanmsg with dismissal on keyinput/scan?
Comment 2 Nick Clemens 2019-06-12 19:55:04 UTC
Created attachment 90539 [details] [review]
Bug 23007: Make modals close on enter
Comment 3 Nick Clemens 2019-06-12 19:55:39 UTC
Just an example, we could make the transfer modals close on enter, we could tie it to a pref if needed
Comment 4 Christopher Brannon 2019-06-25 19:35:02 UTC
Some libraries don't want staff scanning through, because they ignore the message.  If you are going to make it scan through, it should be something that can be turned on or off.
Comment 5 caroline 2019-06-26 14:52:44 UTC
Hi all, 

The change in having to say okay each time an item transfers is time consuming for my staff. We only have one branch, so we always where it is coming from or going to. We would love to see a patch soon. Thanks for all the things everyone does for the community here in bugland. 

Caroline Ford
Comment 6 George Williams (NEKLS) 2019-06-26 20:28:34 UTC
I agree with Christopher.  We have 51 libraries and changing the transfer message to a modal is a good thing for us.  Since it's not a good thing for everyone, though, I think whether this message can be scanned through or not should be a system preference.

George
Comment 7 Nick Clemens 2019-06-27 11:32:52 UTC
Created attachment 91049 [details] [review]
Bug 23007: Add TransfersBlockCirc system preference
Comment 8 Nick Clemens 2019-06-27 11:32:55 UTC
Created attachment 91050 [details] [review]
Bug 23007: Retain focus on 'barcode' input if transfers don't block circ

To test:
 1 - Apply patches
 2 - Update database
 3 - Confirm TransfersBlockCirc defaults to 'Block'
 4 - Check in an item that needs transfer
 5 - Confirm you must deal with the modal to proceed
 6 - Repeat checking to get 'wrong-transfer-modal'
 7 - Confirm you must deal with it to proceed
 8 - Switch the pref to 'Don't block'
 9 - Find a new item or cancel/fulfill the preceeding transfer
10 - Check in the item to generate transfer
11 - Note focus remains on the barcode field and you can continue scanning (or typing if you don't have a scanner)
12 - Note typing and pressing enter continues without requiring you to deal with modal
13 - Repeat for wrong transfer modal
14 - Verify hold and other modals still block continuing circulation
Comment 9 Jeanne Heicher 2019-06-27 20:08:52 UTC
Please make this a system preference. We choose not to interrupt workflow.
Comment 10 Christopher Brannon 2019-06-27 20:28:43 UTC
 Should it be assumed that if you are not blocking, you probably are not printing, and therefore, the modal doesn't need to appear at all?

Or if so, what about just putting the print slip button on the new line in the form with the title instead of having the modal?

I'm just thinking that the modal covers things, and if people are not going to care about it, why show it?
Comment 11 Maryse Simard 2019-07-12 20:03:48 UTC
Created attachment 91506 [details] [review]
Bug 23007: Add TransfersBlockCirc system preference

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 12 Maryse Simard 2019-07-12 20:03:52 UTC
Created attachment 91507 [details] [review]
Bug 23007: Retain focus on 'barcode' input if transfers don't block circ

To test:
 1 - Apply patches
 2 - Update database
 3 - Confirm TransfersBlockCirc defaults to 'Block'
 4 - Check in an item that needs transfer
 5 - Confirm you must deal with the modal to proceed
 6 - Repeat checking to get 'wrong-transfer-modal'
 7 - Confirm you must deal with it to proceed
 8 - Switch the pref to 'Don't block'
 9 - Find a new item or cancel/fulfill the preceeding transfer
10 - Check in the item to generate transfer
11 - Note focus remains on the barcode field and you can continue scanning (or typing if you don't have a scanner)
12 - Note typing and pressing enter continues without requiring you to deal with modal
13 - Repeat for wrong transfer modal
14 - Verify hold and other modals still block continuing circulation

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 13 Nick Clemens 2019-08-30 13:40:12 UTC
Created attachment 92506 [details] [review]
Bug 23007: Add TransfersBlockCirc system preference

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 14 Nick Clemens 2019-08-30 13:40:16 UTC
Created attachment 92507 [details] [review]
Bug 23007: Retain focus on 'barcode' input if transfers don't block circ

To test:
 1 - Apply patches
 2 - Update database
 3 - Confirm TransfersBlockCirc defaults to 'Block'
 4 - Check in an item that needs transfer
 5 - Confirm you must deal with the modal to proceed
 6 - Repeat checking to get 'wrong-transfer-modal'
 7 - Confirm you must deal with it to proceed
 8 - Switch the pref to 'Don't block'
 9 - Find a new item or cancel/fulfill the preceeding transfer
10 - Check in the item to generate transfer
11 - Note focus remains on the barcode field and you can continue scanning (or typing if you don't have a scanner)
12 - Note typing and pressing enter continues without requiring you to deal with modal
13 - Repeat for wrong transfer modal
14 - Verify hold and other modals still block continuing circulation

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 15 Katrin Fischer 2019-10-04 08:47:50 UTC
Created attachment 93713 [details] [review]
Bug 23007: Add TransfersBlockCirc system preference

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 16 Katrin Fischer 2019-10-04 08:47:53 UTC
Created attachment 93714 [details] [review]
Bug 23007: Retain focus on 'barcode' input if transfers don't block circ

To test:
 1 - Apply patches
 2 - Update database
 3 - Confirm TransfersBlockCirc defaults to 'Block'
 4 - Check in an item that needs transfer
 5 - Confirm you must deal with the modal to proceed
 6 - Repeat checking to get 'wrong-transfer-modal'
 7 - Confirm you must deal with it to proceed
 8 - Switch the pref to 'Don't block'
 9 - Find a new item or cancel/fulfill the preceeding transfer
10 - Check in the item to generate transfer
11 - Note focus remains on the barcode field and you can continue scanning (or typing if you don't have a scanner)
12 - Note typing and pressing enter continues without requiring you to deal with modal
13 - Repeat for wrong transfer modal
14 - Verify hold and other modals still block continuing circulation

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 17 Martin Renvoize 2019-10-07 11:58:12 UTC
Nice work!

Pushed to master for 19.11.00